#Autogenerated by ReportLab guiedit do not edit
from reportlab.graphics.shapes import _DrawingEditorMixin, Drawing, Group, Line, String, PolyLine
from reportlab.lib.colors import Color, CMYKColor, PCMYKColor

class ExplodedDrawing_Drawing(_DrawingEditorMixin,Drawing):
	def __init__(self,width=400,height=300,*args,**kw):
		Drawing.__init__(self,width,height,*args,**kw)
		self.transform = (1,0,0,1,0,0)
		self.add(Line(40,30,390,30,strokeColor=Color(0,0,0,1),strokeWidth=1,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=0,strokeDashArray=None,strokeOpacity=None))
		self.add(Line(107.1717,30,107.1717,25,strokeColor=Color(0,0,0,1),strokeWidth=1,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=None,strokeOpacity=None))
		self.add(Line(177.8788,30,177.8788,25,strokeColor=Color(0,0,0,1),strokeWidth=1,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=None,strokeOpacity=None))
		self.add(Line(248.5859,30,248.5859,25,strokeColor=Color(0,0,0,1),strokeWidth=1,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=None,strokeOpacity=None))
		self.add(Line(319.2929,30,319.2929,25,strokeColor=Color(0,0,0,1),strokeWidth=1,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=None,strokeOpacity=None))
		self.add(Line(390,30,390,25,strokeColor=Color(0,0,0,1),strokeWidth=1,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=None,strokeOpacity=None))
		v0=self._nn(Group())
		v0.transform = (1,0,0,1,107.1717,25)
		v0.add(String(-7.5,-10,'200',textAnchor='start',fontName='Times-Roman',fontSize=10,fillColor=Color(0,0,0,1)))
		v0=self._nn(Group())
		v0.transform = (1,0,0,1,177.8788,25)
		v0.add(String(-7.5,-10,'400',textAnchor='start',fontName='Times-Roman',fontSize=10,fillColor=Color(0,0,0,1)))
		v0=self._nn(Group())
		v0.transform = (1,0,0,1,248.5859,25)
		v0.add(String(-7.5,-10,'600',textAnchor='start',fontName='Times-Roman',fontSize=10,fillColor=Color(0,0,0,1)))
		v0=self._nn(Group())
		v0.transform = (1,0,0,1,319.2929,25)
		v0.add(String(-7.5,-10,'800',textAnchor='start',fontName='Times-Roman',fontSize=10,fillColor=Color(0,0,0,1)))
		v0=self._nn(Group())
		v0.transform = (1,0,0,1,390,25)
		v0.add(String(-10,-10,'1000',textAnchor='start',fontName='Times-Roman',fontSize=10,fillColor=Color(0,0,0,1)))
		self.add(Line(40,30,40,280,strokeColor=Color(0,0,0,1),strokeWidth=1,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=0,strokeDashArray=None,strokeOpacity=None))
		self.add(Line(40,43.51351,35,43.51351,strokeColor=Color(0,0,0,1),strokeWidth=1,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=None,strokeOpacity=None))
		self.add(Line(40,111.0811,35,111.0811,strokeColor=Color(0,0,0,1),strokeWidth=1,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=None,strokeOpacity=None))
		self.add(Line(40,178.6486,35,178.6486,strokeColor=Color(0,0,0,1),strokeWidth=1,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=None,strokeOpacity=None))
		self.add(Line(40,246.2162,35,246.2162,strokeColor=Color(0,0,0,1),strokeWidth=1,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=None,strokeOpacity=None))
		v0=self._nn(Group())
		v0.transform = (1,0,0,1,35,43.51351)
		v0.add(String(-15,-4,'100',textAnchor='start',fontName='Times-Roman',fontSize=10,fillColor=Color(0,0,0,1)))
		v0=self._nn(Group())
		v0.transform = (1,0,0,1,35,111.0811)
		v0.add(String(-25,-4,'10000',textAnchor='start',fontName='Times-Roman',fontSize=10,fillColor=Color(0,0,0,1)))
		v0=self._nn(Group())
		v0.transform = (1,0,0,1,35,178.6486)
		v0.add(String(-25.08,-4,'1e+06',textAnchor='start',fontName='Times-Roman',fontSize=10,fillColor=Color(0,0,0,1)))
		v0=self._nn(Group())
		v0.transform = (1,0,0,1,35,246.2162)
		v0.add(String(-25.08,-4,'1e+08',textAnchor='start',fontName='Times-Roman',fontSize=10,fillColor=Color(0,0,0,1)))
		self.add(Line(107.1717,30,107.1717,280,strokeColor=Color(0,0,0,1),strokeWidth=.25,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=[1,1],strokeOpacity=None))
		self.add(Line(177.8788,30,177.8788,280,strokeColor=Color(0,0,0,1),strokeWidth=.25,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=[1,1],strokeOpacity=None))
		self.add(Line(248.5859,30,248.5859,280,strokeColor=Color(0,0,0,1),strokeWidth=.25,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=[1,1],strokeOpacity=None))
		self.add(Line(319.2929,30,319.2929,280,strokeColor=Color(0,0,0,1),strokeWidth=.25,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=[1,1],strokeOpacity=None))
		self.add(Line(390,30,390,280,strokeColor=Color(0,0,0,1),strokeWidth=.25,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=[1,1],strokeOpacity=None))
		self.add(Line(40,43.51351,390,43.51351,strokeColor=Color(0,0,0,1),strokeWidth=.25,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=[.3,1],strokeOpacity=None))
		self.add(Line(40,111.0811,390,111.0811,strokeColor=Color(0,0,0,1),strokeWidth=.25,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=[.3,1],strokeOpacity=None))
		self.add(Line(40,178.6486,390,178.6486,strokeColor=Color(0,0,0,1),strokeWidth=.25,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=[.3,1],strokeOpacity=None))
		self.add(Line(40,246.2162,390,246.2162,strokeColor=Color(0,0,0,1),strokeWidth=.25,strokeLineCap=0,strokeLineJoin=0,strokeMiterLimit=10,strokeDashArray=[.3,1],strokeOpacity=None))
		self.add(PolyLine(points=[40,43.51351,43.53535,63.85338,47.07071,75.75144,50.60606,84.19324,54.14141,90.74122,57.67677,96.0913,61.21212,100.6147,64.74747,104.5331,68.28283,107.9894,71.81818,111.0811,75.35354,113.8779,78.88889,116.4312,82.42424,118.78,85.9596,120.9546,89.49495,122.9791,93.0303,124.873,96.56566,126.652,100.101,128.3292,103.6364,129.9158,107.1717,131.4209,110.7071,132.8527,114.2424,134.2177,117.7778,135.5222,121.3131,136.771,124.8485,137.9689,128.3838,139.1198,131.9192,140.2273,135.4545,141.2945,138.9899,142.3242,142.5253,143.319,146.0606,144.2812,149.596,145.2128,153.1313,146.1158,156.6667,146.9918,160.202,147.8424,163.7374,148.6691,167.2727,149.4731,170.8081,150.2556,174.3434,151.0179,177.8788,151.7608,181.4141,152.4854,184.9495,153.1925,188.4848,153.883,192.0202,154.5576,195.5556,155.2171,199.0909,155.862,202.6263,156.4931,206.1616,157.1109,209.697,157.716,213.2323,158.3088,216.7677,158.8899,220.303,159.4597,223.8384,160.0186,227.3737,160.5671,230.9091,161.1056,234.4444,161.6343,237.9798,162.1537,241.5152,162.6641,245.0505,163.1657,248.5859,163.6589,252.1212,164.1439,255.6566,164.6211,259.1919,165.0906,262.7273,165.5527,266.2626,166.0077,269.798,166.4557,273.3333,166.8969,276.8687,167.3317,280.404,167.7601,283.9394,168.1823,287.4747,168.5985,291.0101,169.009,294.5455,169.4137,298.0808,169.813,301.6162,170.2068,305.1515,170.5955,308.6869,170.9791,312.2222,171.3577,315.7576,171.7316,319.2929,172.1007,322.8283,172.4652,326.3636,172.8253,329.899,173.181,333.4343,173.5324,336.9697,173.8797,340.5051,174.2229,344.0404,174.5621,347.5758,174.8975,351.1111,175.2291,354.6465,175.5569,358.1818,175.8812,361.7172,176.2019,365.2525,176.5191,368.7879,176.833,372.3232,177.1435,375.8586,177.4508,379.3939,177.7548,382.9293,178.0558,386.4646,178.3537,390,178.6486],strokeColor=Color(1,0,0,1),strokeWidth=.2,strokeLineCap=0,strokeLineJoin=1,strokeMiterLimit=0,strokeDashArray=None,strokeOpacity=None))
		self.add(PolyLine(points=[40,77.2973,43.53535,107.8071,47.07071,125.6542,50.60606,138.3169,54.14141,148.1389,57.67677,156.164,61.21212,162.9491,64.74747,168.8267,68.28283,174.0111,71.81818,178.6486,75.35354,182.8439,78.88889,186.6738,82.42424,190.197,85.9596,193.4589,89.49495,196.4957,93.0303,199.3365,96.56566,202.005,100.101,204.5209,103.6364,206.9007,107.1717,209.1584,110.7071,211.306,114.2424,213.3537,117.7778,215.3103,121.3131,217.1836,124.8485,218.9804,128.3838,220.7068,131.9192,222.3679,135.4545,223.9687,138.9899,225.5133,142.5253,227.0055,146.0606,228.4488,149.596,229.8463,153.1313,231.2007,156.6667,232.5148,160.202,233.7907,163.7374,235.0307,167.2727,236.2367,170.8081,237.4105,174.3434,238.5538,177.8788,239.6682,181.4141,240.7551,184.9495,241.8158,188.4848,242.8515,192.0202,243.8634,195.5556,244.8526,199.0909,245.8201,202.6263,246.7667,206.1616,247.6934,209.697,248.601,213.2323,249.4902,216.7677,250.3618,220.303,251.2166,223.8384,252.055,227.3737,252.8777,230.9091,253.6854,234.4444,254.4785,237.9798,255.2576,241.5152,256.0231,245.0505,256.7755,248.5859,257.5153,252.1212,258.2429,255.6566,258.9586,259.1919,259.6629,262.7273,260.3561,266.2626,261.0385,269.798,261.7105,273.3333,262.3724,276.8687,263.0246,280.404,263.6671,283.9394,264.3005,287.4747,264.9248,291.0101,265.5405,294.5455,266.1476,298.0808,266.7465,301.6162,267.3373,305.1515,267.9203,308.6869,268.4957,312.2222,269.0636,315.7576,269.6244,319.2929,270.178,322.8283,270.7248,326.3636,271.2649,329.899,271.7985,333.4343,272.3256,336.9697,272.8465,340.5051,273.3613,344.0404,273.8702,347.5758,274.3732,351.1111,274.8706,354.6465,275.3624,358.1818,275.8488,361.7172,276.3298,365.2525,276.8057,368.7879,277.2765,372.3232,277.7423,375.8586,278.2032,379.3939,278.6593,382.9293,279.1108,386.4646,279.5576,390,280],strokeColor=Color(0,0,1,1),strokeWidth=.2,strokeLineCap=0,strokeLineJoin=1,strokeMiterLimit=0,strokeDashArray=None,strokeOpacity=None))
		self.add(PolyLine(points=[40,30,43.53535,46.27189,47.07071,55.79034,50.60606,62.54378,54.14141,67.78216,57.67677,72.06223,61.21212,75.68098,64.74747,78.81567,68.28283,81.58068,71.81818,84.05405,75.35354,86.2915,78.88889,88.33412,82.42424,90.21315,85.9596,91.95287,89.49495,93.5725,93.0303,95.08757,96.56566,96.51075,100.101,97.85257,103.6364,99.12182,107.1717,100.3259,110.7071,101.4713,114.2424,102.5634,117.7778,103.6069,121.3131,104.606,124.8485,105.5643,128.3838,106.485,131.9192,107.371,135.4545,108.2248,138.9899,109.0485,142.5253,109.8444,146.0606,110.6141,149.596,111.3595,153.1313,112.0818,156.6667,112.7826,160.202,113.4631,163.7374,114.1245,167.2727,114.7677,170.8081,115.3937,174.3434,116.0035,177.8788,116.5978,181.4141,117.1775,184.9495,117.7432,188.4848,118.2956,192.0202,118.8353,195.5556,119.3628,199.0909,119.8788,202.6263,120.3837,206.1616,120.8779,209.697,121.362,213.2323,121.8362,216.7677,122.3011,220.303,122.7569,223.8384,123.2041,227.3737,123.6429,230.9091,124.0737,234.4444,124.4967,237.9798,124.9122,241.5152,125.3204,245.0505,125.7217,248.5859,126.1163,252.1212,126.5043,255.6566,126.886,259.1919,127.2617,262.7273,127.6313,266.2626,127.9953,269.798,128.3537,273.3333,128.7067,276.8687,129.0545,280.404,129.3972,283.9394,129.735,287.4747,130.068,291.0101,130.3964,294.5455,130.7202,298.0808,131.0396,301.6162,131.3547,305.1515,131.6656,308.6869,131.9725,312.2222,132.2754,315.7576,132.5744,319.2929,132.8697,322.8283,133.1614,326.3636,133.4494,329.899,133.734,333.4343,134.0151,336.9697,134.2929,340.5051,134.5675,344.0404,134.8389,347.5758,135.1072,351.1111,135.3724,354.6465,135.6347,358.1818,135.8941,361.7172,136.1507,365.2525,136.4045,368.7879,136.6556,372.3232,136.904,375.8586,137.1498,379.3939,137.3931,382.9293,137.6338,386.4646,137.8722,390,138.1081],strokeColor=Color(0,.501961,0,1),strokeWidth=.2,strokeLineCap=0,strokeLineJoin=1,strokeMiterLimit=0,strokeDashArray=None,strokeOpacity=None))


if __name__=="__main__": #NORUNTESTS
	ExplodedDrawing_Drawing().save(formats=['pdf'],outDir='.',fnRoot=None)
